{% extends "base_generic.html" %}

{% block content %}
{% load static %}
<link rel="stylesheet" href="{% static 'css/detail.css' %}">
<div class="detail_div">
    <h2>Lyrics Generated</h2>
    <div id="lyrics_div">
        <output>{{ lyrics_gen }}</output>
    </div>
    <input type="button" id="refresh_lyrics" name="refresh_lyrics" value="Refresh" class="btn btn-info"/>
</div>
<script>
    $('#refresh_lyrics').click(function(){
      $.ajax({
               type: "POST",
               url: "{% url 'refresh_lyrics' %}",
               data: {'csrfmiddlewaretoken': '{{ csrf_token }}'},
               dataType: "json",
               success: function(response) {
                      $('#lyrics_div').load(document.URL +  ' #lyrics_div');
                      $('#refresh_lyrics').prop('disabled', true); 
                },
                error: function(rs, e) {
                      alert(rs.responseText);
                }
          }); 
    })
</script>
{% endblock %}